
// Asounding Audio Engine for iOS
// Copyright (c) 2011  Michel Fortin
//
// You must obtain a comercial license for using this code in software
// distributed not under the GNU GPL. See <http://michelf.com/asounding/>.
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.
//
// As a special exception to the GPL, you may distribute a compiled 
// application including this file on the Apple App Store for iOS without 
// having to redistribute the digital keys needed to reproduce the digital 
// signature needed to run an application on an iOS device. This exception 
// does not invalidate any other requirements put on you by the GPL.

#import "ASNMusic.h"


@implementation ASNMusic

- (id)initWithContentsOfURL:(NSURL *)url error:(NSError **)outError {
	musicPlayer = [[AVAudioPlayer alloc] initWithContentsOfURL:url error:outError];
	return self;
}

- (void)dealloc {
	[musicPlayer release];
	[super dealloc];
}

@dynamic duration;

- (NSTimeInterval)duration {
	return musicPlayer.duration;
}

@dynamic numberOfLoops;

- (NSInteger)numberOfLoops {
	return musicPlayer.numberOfLoops;
}

- (void)setNumberOfLoops:(NSInteger)newNumberOfLoops {
	musicPlayer.numberOfLoops = newNumberOfLoops;
}

- (AVAudioPlayer *)avPlayer {
	return musicPlayer;
}

@end
