
// Demo for Asounding Audio Engine for iOS
//
// You must obtain a comercial license for using this code in software
// distributed not under the GNU GPL. See <http://michelf.com/asounding/>.
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.
//
// As a special exception to the GPL, you may distribute a compiled 
// application including this file on the Apple App Store for iOS without 
// having to redistribute the digital keys needed to reproduce the digital 
// signature needed to run an application on an iOS device. This exception 
// does not invalidate any other requirements put on you by the GPL.

#import <UIKit/UIKit.h>
#import "Asounding.h"


@interface MusicTabController : UIViewController {
	IBOutlet UIButton *playMusic1Button;
	IBOutlet UIButton *playMusic2Button;
	
	IBOutlet UISlider *volumeSlider;
	
	IBOutlet UIButton *pauseButton;
	IBOutlet UIButton *resumeButton;
	IBOutlet UIButton *stopButton;
	IBOutlet UIButton *fadeOutButton;
	
	IBOutlet UISwitch *stopIpodSwitch;
	IBOutlet UISwitch *enableMusicSwitch;
	
	ASNMusic *music1;
	ASNMusic *music2;
}

- (IBAction)playMusic1;
- (IBAction)playMusic2;

- (IBAction)volumeChange;

- (IBAction)pauseMusic;
- (IBAction)resumeMusic;
- (IBAction)stopMusic;
- (IBAction)fadeOutMusic;

- (IBAction)stopIpodChange;
- (IBAction)enableMusicChange;

- (void)updateControls;

@end
